Module javafx.graphics
Package javafx.scene.input

# Enum Class TransferMode

java.lang.Object
java.lang.Enum<TransferMode>
javafx.scene.input.TransferMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TransferMode>`, `Constable`

public enum TransferMode extends Enum<TransferMode>
Describes the mode of data transfer with respect to a drag and drop gesture.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COPY`
Indicates copying of data is supported or intended.
`LINK`
Indicates linking of data is supported or intended.
`MOVE`
Indicates moving of data is supported or intended.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TransferMode[]`
`ANY`
Array containing all transfer modes.
`static final TransferMode[]`
`COPY_OR_MOVE`
Array containing transfer modes COPY and MOVE.
`static final TransferMode[]`
`NONE`
Empty array of transfer modes.

## Method Summary

Modifier and Type
Method
Description
`static TransferMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransferMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COPY

public static final TransferMode COPY
Indicates copying of data is supported or intended.

### MOVE

public static final TransferMode MOVE
Indicates moving of data is supported or intended.

### LINK

public static final TransferMode LINK
Indicates linking of data is supported or intended.

## Field Details

### ANY

public static final TransferMode[] ANY
Array containing all transfer modes. This is a convenience constant intended to be used in `startDragAndDrop` and `DragEvent.acceptTransferModes()` calls.

### COPY_OR_MOVE

public static final TransferMode[] COPY_OR_MOVE
Array containing transfer modes COPY and MOVE. This is a convenience constant intended to be used in `startDragAndDrop` and `DragEvent.acceptTransferModes()` calls.

### NONE

public static final TransferMode[] NONE
Empty array of transfer modes. This is a convenience constant intended to be used in `startDragAndDrop` and `DragEvent.acceptTransferModes()` calls.

## Method Details

### values

public static TransferMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TransferMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null